/*
In einer ungeordneten Liste sind zuerst alle Bilder (bis auf das erste) unsichtbar geschaltet.
Erst wenn der Benutzer auf eines der Listen-Elemente klickt,
wird das jeweils dazugehörige Bild sichtbar gemacht.
*/

function klickKlasseEin(ausloeser, klasse) {
  document.querySelector(ausloeser).addEventListener("click", function() {
    // bei dem Listen-Elemente, das aktuell die Klasse "aktiv" hat
    // wird diese in einem ersten Schritt entfernt
    document.querySelector(`li.${klasse}`).classList.remove("aktiv");
    // in einem 2. Schritt bekommt das Listen-Element, das man angeklickt hat
    // die Klasse "aktiv" – den Rest erledigt CSS
    document.querySelector(ausloeser).classList.add("aktiv");
  });
}

// das Tegernsee-Bild wird gleich beim Start der Seite sichtbar
// ohne diese Zeile würde das Browserfenster erst mal leer bleiben
document.querySelector("#Tegernsee").classList.add("aktiv");

// hier angeben, bei welchen Elementen die Bilder gezeigt werden sollen
// klickt man auf "li#Tegernsee", bekommt dieses li die Klasse "aktiv"
// dadurch wird via CSS das dazugehörige Bild sichtbar gemacht
klickKlasseEin("#Tegernsee", "aktiv");
klickKlasseEin("#Katzenfernsehen", "aktiv");
klickKlasseEin("#Assistenten", "aktiv");
klickKlasseEin("#Brompton", "aktiv");
